Get SecurityInfo
Request to be POSTed to uri : /NorenWClientAPI/GetSecurityInfo
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | User Id | |
| exch | Exchange | |
| token | Contract Token |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetSecurityInfo' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer dc384ed28e7983afdcc1dd8e0631b3f69b94ff14392daea33fa12661d3d99adf' \
--data 'jData={"uid":"DEMO", "exch":"NFO", "token":"35003"}'
Response Details :
Response data will be in json format with below fields.
| Json Fields | Possible value | Description |
|---|---|---|
| request_time | will be present only in a successful response. | |
| stat | Ok or Not_Ok | Market watch success or failure indication. |
| exch | NSE, BSE,NFO ... | Exchange |
| tsym | Symbol representing the stock or asset being traded. | |
| cname | Name of the company associated with the trading symbol. | |
| symname | Name of the symbol being traded. | |
| seg | Segment or category to which the symbol belongs. | |
| exd | Expiry date for futures or options trading. | |
| instname | Name of the financial instrument being traded. | |
| strprc | The price at which an option can be exercised. | |
| optt | Type of option, whether it's a call or put option. | |
| und_exch | ||
| und_tk | ||
| isin | International Securities Identification Number, a unique identifier for a security. | |
| ti | The minimum price increment at which the asset can be traded. | |
| ls | Lot size | |
| pp | Price precision | |
| mult | Multiplier | |
| gp_nd | gn/gd * pn/pd (text format) | |
| prcunt | Price units | |
| prcqqty | Price quote quantity | |
| trdunt | Trade units | |
| delunt | Delivery units | |
| frzqty | Freeze quantity | |
| gsmind | Scrip update Gsm Ind | |
| elmbmrg | Elm Buy Margin | |
| elmsmrg | Elm Sell Margin | |
| addbmrg | Additional Long Margin | |
| addsmrg | Additional Short Margin | |
| splbmrg | Special Long Margin | |
| splsmrg | Special Short Margin | |
| delmrg | Delivery Margin | |
| tenmrg | Tender Margin | |
| tenstrd | Tender Start Date | |
| tenendd | Tender End Date | |
| exestrd | Exercise Start Date | |
| exeendd | Exercise End Date | |
| mkt_t | Market type | |
| issue_d | Issue date | |
| listing_d | Listing date | |
| last_trd_d | Last trading date. | |
| elmmrg | Elm Margin for the contract. | |
| varmrg | Var Margin for the contract. | |
| expmrg | Exposure Margin for the contract. | |
| token | Contract token for the instrument. | |
| prcftr_d | Actual value for calculations, obtained by multiplying GN/GD by PN/PD. | |
| exptime | ||
| weekly | 'W1', 'W2', 'W3', 'W4' | Weekly option, indicating the week. |
| nontrd | Non-tradable instruments. | |
| dname | Broker specific contract display name, present only if applicable. | |
| uc | Upper circuit limit for the contract. | |
| lc | Lower circuit limit for the contract. | |
| ord_msg | Order Message |
Sample Success Response :
This will reply as following
{
"request_time": "17:26:00 16-01-2026",
"stat": "Ok",
"exch": "NFO",
"tsym": "BANKNIFTY26MAR74400PE",
"symname": "BANKNIFTY",
"seg": "DER",
"exd": "30-MAR-2026",
"instname": "OPTIDX",
"optt": "PE",
"und_exch": "NSE",
"und_tk": "26009",
"pp": "2",
"prcftr": "1.000000",
"ls": "30",
"ti": "0.05",
"mult": "1",
"uc": "14744.10",
"lc": "11810.50",
"strprc": "74400.00",
"prcftr_d": "(1 / 1 ) * (1 / 1)",
"exptime": "1774881000",
"token": "35003",
"frzqty": "601"
}
Sample Failure Response :
{
"stat": "Not_Ok",
"emsg": "Invalid Input : Invalid Scrip token/exch"
}